Do not print VDPAU upgrade notice when configure is invoked
authorJai Menon <jmenon86@gmail.com>
Fri, 15 Jan 2010 18:50:53 +0000 (18:50 +0000)
committerJai Menon <jmenon86@gmail.com>
Fri, 15 Jan 2010 18:50:53 +0000 (18:50 +0000)
with `--disable-vdpau`.

Originally committed as revision 21225 to svn://svn.ffmpeg.org/ffmpeg/trunk

configure

index 6321bb9..691155a 100755 (executable)
--- a/configure
+++ b/configure
@@ -2532,7 +2532,7 @@ check_func XOpenDisplay -lX11           &&
 check_func XShmCreateImage -lX11 -lXext &&
 check_func XFixesGetCursorImage -lX11 -lXext -lXfixes
 
-if enabled vdpau_vdpau_h; then
+if ! disabled vdpau && enabled vdpau_vdpau_h; then
 check_cpp_condition \
     vdpau/vdpau.h "defined VDP_DECODER_PROFILE_MPEG4_PART2_ASP" ||
     { echolog "Please upgrade to libvdpau >= 0.2 if you would like vdpau support." &&